<?php

declare(strict_types=1);

namespace Database\Seeders;

use App\Models\Role;
use App\Models\User;
use Illuminate\Database\Seeder;

final class JonathanSeeder extends Seeder
{
    /**
     * Seed the application's database with admin user Jonathan.
     */
    public function run(): void
    {
        $adminRole = Role::where('name', 'admin')->first();

        User::factory()->create([
            'name' => 'Jonathan',
            'email' => 'jonathan.van.rij@agerion.nl',
            'password' => bcrypt('secret'),
            'email_verified_at' => now(),
            'role_id' => $adminRole->id,
            'job_title' => 'Senior Developer',
            'company_name' => 'Baker Tilly',
        ]);
    }
}
